module RailsNew
  class Command
    attr_reader :command

    def initialize(*command)
      self.command = command
    end

    def run
      result = Kernel.system *command
      unless result
        raise "Command #{to_s} failed."
      end
    end

    def to_s
      command.join(' ')
    end

    private

    attr_writer :command
  end
end
